Opened 5 years ago

Closed 4 years ago

#52632 closed defect (fixed)

Inkscape-app quits immediately after install

Reported by: iansidor@… Owned by: dbevans (David B. Evans)
Priority: Normal Milestone:
Component: ports Version: 2.3.4
Keywords: Cc: jsalort (Julien Salort), su-v, maslovalex (Alexander Maslov), hmeine (Hans Meine), paxperscientiam (Chris), Blokkendoos (Johan)
Port: inkscape inkscape-app

Description

I've just installed Inkscape by using the following command:

sudo port install inkscape-app

I found Inkscape in /Applications/MacPorts and tried to double click the icon to boot up the application. It seems to shift the doc slightly as if it's making room for the icon but then it collapses almost immediately and the application never boots.

Attachments (2)

inkscape_2016-11-07.crash (57.8 KB) - added by hugo-ribeiro (Hugo Ribeiro) 5 years ago.
0001-inkscape-Fix-crash-on-font-name-style-being-NULL.patch (5.9 KB) - added by raimue (Rainer Müller) 5 years ago.

Download all attachments as: .zip

Change History (39)

comment:1 Changed 5 years ago by mf2k (Frank Schima)

Cc: devans@… added
Keywords: inkscape inkscape-app removed

comment:2 Changed 5 years ago by ryandesign (Ryan Schmidt)

That sounds like a crash happened. Is there a crash log for this event? macOS would have saved it in ~/Library/Logs/DiagnosticReports. If there is one for this crash (check that inkscape is in the filename and that the date/time matches), please attach it to this ticket.

comment:3 Changed 5 years ago by dbevans (David B. Evans)

Also please let us know which version of inkscape you have installed and active -- +x11 or +quartz or even +gtk3, I guess. What's the result of this command?

port installed inkscape

In any case, the work-around for this problem would be to invoke inkscape from the command line in a terminal.

$ inkscape

comment:4 in reply to:  2 Changed 5 years ago by iansidor@…

Replying to ryandesign@…:

That sounds like a crash happened. Is there a crash log for this event? macOS would have saved it in ~/Library/Logs/DiagnosticReports. If there is one for this crash (check that inkscape is in the filename and that the date/time matches), please attach it to this ticket.

I initially thought it was a crash but I would have expected a Mac OS X default crash prompt to be displayed. Do you think it could be a permissions issue?

Unfortunately nothing appears in ~/Library/Logs/DiagnosticReports.

NB: I'm running OS X 10.12 Sierra

comment:5 in reply to:  3 Changed 5 years ago by iansidor@…

Replying to devans@…:

Also please let us know which version of inkscape you have installed and active -- +x11 or +quartz or even +gtk3, I guess. What's the result of this command?

port installed inkscape

In any case, the work-around for this problem would be to invoke inkscape from the command line in a terminal.

$ inkscape
$ port installed inkscape
The following ports are currently installed:
inkscape @0.91_17+x11 (active)

I've tried your workaround suggestion but that doesn't seem to work.

$ inkscape
Nothing to do!

I appreciate the help.

comment:6 Changed 5 years ago by dbevans (David B. Evans)

Yes, but now we can see that your problem is probably not with inkscape-app but with launching inkscape, itself.

Just to be complete, which X11 server are you using? XQuartz or one of the MacPorts versions (xorg-server, xorg-server-devel)? Does it launch when you invoke inkscape directly? Do other X11 programs seem to work OK?

Changed 5 years ago by hugo-ribeiro (Hugo Ribeiro)

Attachment: inkscape_2016-11-07.crash added

comment:7 Changed 5 years ago by hugo-ribeiro (Hugo Ribeiro)

I've just run into a similar problem after upgrading to Sierra. I'm also using inkscape instead of inkscape-app.

I've installed X11 server from Macports (xorg-server) and it seems to work fine since I can launch gimp2 for example. I've also tried to install "enchant +aspell" instead of "enchant +applespell" (see ticket:51287).

I've attached a crash log. Hope this helps to find out what the problem is.

Last edited 4 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:8 Changed 5 years ago by jsalort (Julien Salort)

Cc: jsalort added

comment:9 Changed 5 years ago by ichbindannmalwegmann (Roger Wegmann)

Any news? On my machine inkscape generates a segmentation fault too with the same already reported stack trace.

comment:10 Changed 5 years ago by bgrube (Boris Grube)

I can also confirm the reported problem. The crash occurs with a clean MacPorts installation for the inkscape variants +x11, +quartz, and +gtk3+quartz. Same also for inkscape-devel +x11 (I did not try the other variants). I'm using Sierra and XQuartz 2.7.11 (xorg-server 1.18.4).

comment:11 Changed 5 years ago by hugo-ribeiro (Hugo Ribeiro)

This got weird. I wanted to see if I could pinpoint where the problem was by using Instruments (mac OS "profiler"). It turned out that Inkscape starts and is perfectly usable if launched within Instruments. However, it still crashes if launched from the console. Hope this bit of information helps.

comment:12 Changed 5 years ago by hugo-ribeiro (Hugo Ribeiro)

Ok. I found where the problem was coming from in my case. In my .bash_profile I had the following lines

export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8

to define a clean UTF-8 environment. By commenting these two lines, I'm able to start Inkscape. Annoyingly, this was never a problem with Mac OS X. The problem only appeared with Sierra.

If someone knows how to define a clean UTF-8 environment and have inkscape start, please let me know.

comment:13 Changed 5 years ago by bgrube (Boris Grube)

Same here. My shell environment had LANG=en_US.UTF-8 set and inkscape was crashing at start as reported above. Using

export LANG=en_US
export LC_ALL=$LANG

I can start inkscape from the command line.

Similar problems appear, when more than one language is selected in Sierra's "Language & Region" settings. I had German in addition to U.S. English, where the latter was the "Primary" language. Starting Inkscape from the Application folder, it crashes as reported above and shows the "internal error" dialog box in German. After removing the secondary language, Inkscape starts without problems.

So in addition to the problem with UTF-8 locale, it seems that inkscape-app does not correctly pick up the language from the system settings. It should favor the "Primary" language.

comment:14 Changed 5 years ago by atuyosi (Atsuyoshi SUZUKI)

I also got to have a similar problem with Inkscape-devel package.

  • $ LANG=ja_JP.UTF-8 inkscape -> NG display a message such like "Internal error occurred" in Japanese, and exit.
  • $ LANG=ja_JP inkscape -> OK
  • $ LANG=C inkscape -> OK

I hope this information is useful for something.

Changed 5 years ago by raimue (Rainer Müller)

comment:15 Changed 5 years ago by raimue (Rainer Müller)

Here is a patch that solves the problem for me. It is partly based on a backport from upstream trunk, but still required an additional null-check. Increasing revision as this fixes a runtime problem.

I did not look too closely, therefore I did not identify which font(s) are actually causing this problem.

comment:16 Changed 5 years ago by ichbindannmalwegmann (Roger Wegmann)

With environment variable "LANG" set to "de_CH.UTF-8" and "LC_CTYPE" unset Inkscape crashes but with "LC_CTYPE" set to "UTF-8" additionally it works. I discovered this by enabling the setting "Set locale environment variables on startup" in the tab "Advanced" in the "Peferences..." menu item of the "Terminal" application.

Last edited 5 years ago by ichbindannmalwegmann (Roger Wegmann) (previous) (diff)

comment:17 Changed 5 years ago by su-v

Cc: su-v added

comment:18 in reply to:  13 Changed 5 years ago by paxperscientiam (Chris)

Replying to bgrube:

Same here. My shell environment had LANG=en_US.UTF-8 set and inkscape was crashing at start as reported above. Using

export LANG=en_US
export LC_ALL=$LANG

I can start inkscape from the command line.

Similar problems appear, when more than one language is selected in Sierra's "Language & Region" settings. I had German in addition to U.S. English, where the latter was the "Primary" language. Starting Inkscape from the Application folder, it crashes as reported above and shows the "internal error" dialog box in German. After removing the secondary language, Inkscape starts without problems.

So in addition to the problem with UTF-8 locale, it seems that inkscape-app does not correctly pick up the language from the system settings. It should favor the "Primary" language.

I can confirm that setting export LANG=en_US and export LC_ALL=$LANG makes inkscape less crashy for me; however, it's not a viable solution for me (and surely others) as I need UTF8.

comment:19 Changed 5 years ago by maslovalex (Alexander Maslov)

Cc: maslovalex added

comment:20 Changed 5 years ago by jmroot (Joshua Root)

Cc: dbevans removed
Owner: changed from macports-tickets@… to dbevans
Port: inkscape added
Status: newassigned

comment:21 Changed 5 years ago by barry-scott (Barry)

When I build inkscape like this it does not crash.

#!/bin/bash

V=0.92.0

PATH=\
/opt/local/sbin:\
/opt/local/bin:\
/usr/bin:\
/bin:\
/usr/sbin:\
/sbin

cd inkscape-$V

export CPPFLAGS="-I$(PWD)/src/extension/script"
export CXXFLAGS="-std=c++11 -g -O0"

./autogen.sh
./configure \
    --prefix=/opt/local \
    --without-gnome-vfs \
    --enable-lcms \
    --enable-poppler-cairo \
    --enable-dbusapi \
    --disable-silent-rules \
    --disable-strict-build | tee build-config.log

make 2>&1 | tee build-make.log

using otool -L on the MacPorts build image and my build I see two differences:

These two libs are used for the MacPorts built image.

  • /opt/local/lib/libjpeg.9.dylib (compatibility version 12.0.0, current version 12.0.0)
  • /opt/local/lib/libpotrace.0.dylib (compatibility version 1.0.0, current version 1.3.0)
Last edited 4 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:22 Changed 5 years ago by dbevans (David B. Evans)

In 123a26ca/macports-ports:

inkscape: fix startup crash on Sierra

On Sierra, building with clang optimization enabled causes crash at startup.
Issue effects both +x11 and +quartz builds.

See: #52632

comment:23 Changed 5 years ago by dbevans (David B. Evans)

This commit fixes the crash issue for me. Please test and advise.

comment:24 Changed 5 years ago by hmeine (Hans Meine)

Cc: hmeine added

comment:25 Changed 5 years ago by duub (duub qnnp)

Has this fix been applied to public version? I've just installed macports this week and still having this issue. There isn't a crash report on Library/Logs/DiagnosticReports

Thanks

Last edited 5 years ago by duub (duub qnnp) (previous) (diff)

comment:26 Changed 5 years ago by paxperscientiam (Chris)

Cc: paxperscientiam added

comment:27 Changed 4 years ago by kencu (Ken)

Same error (once built). Setting

export LANG=en_US
export LC_ALL=$LANG

allows it to start up.

I will try this patch and see what happens.

[BTW - will not build with clang-3.9 due to errors around abs() being ambiguous. Does build with clang-3.7 (although there are errors there too with -fopenmp not being able to find -lgomp that need to be addressed.]

Last edited 4 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:28 Changed 4 years ago by kencu (Ken)

The patch did not work for me (10.6 / libc++ ) -- but the configure.optflags -O0 did, once I changed it to apply to my current system, and forced the build with clang-3.7.

comment:29 Changed 4 years ago by hugo-ribeiro (Hugo Ribeiro)

It seems that inkscape 0.92.2 fixed the issue. After compiling inkscape @0.92.2 +x11 with the following lines commented out in the associated Portfile

platform darwin {
# on Sierra, building with clang optimization enabled causes crash at startup
# issue effects both +x11 and +quartz builds
    if {${os.major} > 15} {
        configure.optflags  -O0
    }
}

I'm able to start inkscape while having

export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8

in my .bash_profile.

Can someone else confirm?

comment:30 Changed 4 years ago by wilya7

Inkscape was working fine for me for many months, however recently I did a sudo port selfupdate and sudo port outdated (without touching inkscape) and since then this bug has resurfaced. Now it crashes even when called from the terminal, while before was working perfectly fine.

My system:

hasbeen-MBP:~ cfusco$ sudo port version
Version: 2.4.2
Hasbeen-MBP:~ cfusco$ sw_vers 
ProductName:	Mac OS X
ProductVersion:	10.12.6
BuildVersion:	16G1212
Hasbeen-MBP:~ cfusco$ port installed inkscape
The following ports are currently installed:
  inkscape @0.92.2_2+x11 (active)

These are the ports that I have installed:

Hasbeen-MBP:~ cfusco$ sudo port installed
The following ports are currently installed:
  aspell @0.60.6.1_1 (active)
  aspell-dict-en @2017.08.24_0 (active)
  aspell-dict-fr @0.50_0 (active)
  aspell-dict-it @2.2_20050523-0_0 (active)
  atk @2.28.1_0 (active)
  atkmm @2.24.2_0 (active)
  autoconf @2.69_5 (active)
  autoconf-archive @2018.03.13_0 (active)
  automake @1.16.1_0 (active)
  barcode @0.99_1 (active)
  bison @3.0.4_3 (active)
  bison-runtime @3.0.4_2 (active)
  boehmgc @7.6.4_0 (active)
  boost @1.66.0_3+no_single+no_static+python27 (active)
  bzip2 @1.0.6_0 (active)
  cadaver @0.23.3_0 (active)
  cairo @1.14.12_0+quartz+x11 (active)
  cairomm @1.12.2_0+quartz+x11 (active)
  cctools @895_4+llvm39 (active)
  cdrtools @3.01_0 (active)
  cmake @3.10.3_0 (active)
  cppunit @1.14.0_0 (active)
  ctags @5.8_2 (active)
  curl @7.59.0_0+ssl (active)
  curl-ca-bundle @7.59.0_0 (active)
  cython_select @0.1_0 (active)
  db48 @4.8.30_4 (active)
  dbus @1.12.2_0 (active)
  dbus-glib @0.110_0 (active)
  desktop-file-utils @0.23_0 (active)
  detex @2.8_1 (active)
  ditaa @0.9_3 (active)
  djvulibre @3.5.27_0 (active)
  docbook-xml @5.0_3 (active)
  docbook-xml-4.1.2 @5.0_1 (active)
  docbook-xml-4.2 @5.0_1 (active)
  docbook-xml-4.3 @5.0_1 (active)
  docbook-xml-4.4 @5.0_1 (active)
  docbook-xml-4.5 @5.0_1 (active)
  docbook-xml-5.0 @5.0_1 (active)
  docbook-xsl @1.79.2_1 (active)
  dvdbackup @0.4.2_0 (active)
  dvipng @1.15_3 (active)
  emacs @25.3_0 (active)
  emacs-app @25.3_0+inline (active)
  enchant @1.6.0_5+applespell (active)
  expat @2.2.5_0 (active)
  ffmpeg @3.4.2_0+gpl2 (active)
  fftw-3 @3.3.7_0 (active)
  flac @1.3.2_0 (active)
  flex @2.6.4_0 (active)
  fontconfig @2.12.6_1 (active)
  fop @1.1_0 (active)
  freetype @2.8_0 (active)
  fribidi @0.19.7_1 (active)
  gawk @4.2.1_0 (active)
  gcc7 @7.3.0_0 (active)
  gcc_select @0.1_8 (active)
  gd2 @2.2.5_0+x11 (active)
  gdbm @1.14.1_0 (active)
  gdk-pixbuf2 @2.36.11_0+x11 (active)
  gettext @0.19.8.1_0 (active)
  ghostscript @9.23_2+x11 (active)
  giflib @4.2.3_0+x11 (active)
  git @2.16.3_0+credential_osxkeychain+doc+pcre+perl5_26 (active)
  glib2 @2.56.0_0+x11 (active)
  glibmm @2.54.1_0+x11 (active)
  gmake @4.2.1_0 (active)
  gmp @6.1.2_1 (active)
  gnome-common @3.18.0_0 (active)
  gnutls @3.5.18_0+doc (active)
  gobject-introspection @1.56.0_0 (active)
  graphite2 @1.3.9_0 (active)
  graphviz @2.40.1_1+pangocairo+x11 (active)
  gsl @2.4_2 (active)
  gtk-doc @1.27_0 (active)
  gtk2 @2.24.32_0+quartz (active)
  gtkmm @2.24.5_1+quartz (active)
  gtkspell2 @2.0.16_7+x11 (active)
  gts @0.7.6_3 (active)
  harfbuzz @1.7.5_0 (active)
  harfbuzz-icu @1.7.5_0 (active)
  hicolor-icon-theme @0.17_0 (active)
  icu @58.2_2 (active)
  ilmbase @2.2.0_0 (active)
  ImageMagick @6.9.9-26_1+x11 (active)
  inkscape @0.92.2_2+x11 (active)
  intltool @0.51.0_4 (active)
  isl @0.18_0 (active)
  itstool @2.0.2_3 (active)
  jasper @2.0.14_0 (active)
  jbig2dec @0.14_0 (active)
  jbigkit @2.1_0 (active)
  jpeg @9c_0 (active)
  kerberos5 @1.16_0 (active)
  lame @3.100_0 (active)
  latexdiff @1.2.1_1 (active)
  latexmk @4.52c_0 (active)
  lcdf-typetools @2.107_0+texlive (active)
  lcms2 @2.9_0 (active)
  ld64 @3_0 (active)
  ld64-latest @274.2_2+llvm39 (active)
  libarchive @3.3.2_1 (active)
  libass @0.14.0_0 (active)
  libbluray @1.0.2_0 (active)
  libcdr-0.1 @0.1.4_2 (active)
  libcomerr @1.44.1_0 (active)
  libcroco @0.6.12_0 (active)
  libcxx @5.0.1_1+universal (active)
  libdvdcss @1.4.0_0 (active)
  libdvdread @6.0.0_0 (active)
  libedit @20170329-3.1_2 (active)
  libexif @0.6.21_0 (active)
  libffi @3.2.1_0 (active)
  libgcc @7.3.0_0 (active)
  libiconv @1.15_0 (active)
  libidn @1.33_1 (active)
  libidn2 @2.0.4_0 (active)
  libLASi @1.1.1_1 (active)
  libmacho-headers @895_0 (active)
  libmodplug @0.8.9.0_0 (active)
  libmpc @1.1.0_0 (active)
  libnetpbm @10.81.03_1 (active)
  libogg @1.3.3_0 (active)
  libopus @1.2.1_0 (active)
  libpaper @1.1.24.5_0 (active)
  libpixman @0.34.0_0 (active)
  libpng @1.6.34_1 (active)
  libproxy @0.4.15_2+python27 (active)
  libpsl @0.20.1_2 (active)
  libraw @0.18.8_0 (active)
  librevenge @0.0.4_2 (active)
  librsvg @2.42.2_0 (active)
  libsdl2 @2.0.8_0 (active)
  libsigcxx2 @2.10.0_0 (active)
  libtasn1 @4.13_0 (active)
  libtheora @1.1.1_2 (active)
  libtool @2.4.6_5 (active)
  libunistring @0.9.9_0 (active)
  libuv @1.19.2_0 (active)
  libvisio-0.1 @0.1.6_2 (active)
  libvorbis @1.3.6_0 (active)
  libvpx @1.7.0_0 (active)
  libwpd-0.10 @0.10.2_0 (active)
  libwpg-0.3 @0.3.2_0 (active)
  libxml2 @2.9.7_0 (active)
  libxslt @1.1.32_0 (active)
  libzzip @0.13.69_0 (active)
  llvm-3.9 @3.9.1_5 (active)
  llvm_select @2_0 (active)
  lz4 @1.8.1.2_0 (active)
  lzip @1.20_0 (active)
  lzo2 @2.10_0 (active)
  m4 @1.4.18_2 (active)
  mpfr @3.1.6_0 (active)
  nasm @2.13.03_0 (active)
  ncurses @6.1_0 (active)
  neon @0.30.2_0 (active)
  nettle @3.4_0 (active)
  nosetests_select @0.1_0 (active)
  openexr @2.2.0_1 (active)
  openjade @1.3.2_11 (active)
  openjpeg @2.3.0_0 (active)
  opensp @1.5.2_2 (active)
  openssl @1.0.2n_0 (active)
  orc @0.4.28_0 (active)
  p5.26-algorithm-diff @1.190.300_0 (active)
  p5.26-authen-sasl @2.160.0_0 (active)
  p5.26-cgi @4.380.0_0 (active)
  p5.26-digest-hmac @1.30.0_0 (active)
  p5.26-digest-sha1 @2.130.0_4 (active)
  p5.26-encode-locale @1.50.0_0 (active)
  p5.26-error @0.170.250_0 (active)
  p5.26-file-listing @6.40.0_1 (active)
  p5.26-getopt-long @2.500.0_0 (active)
  p5.26-gssapi @0.280.0_3 (active)
  p5.26-html-form @6.30.0_1 (active)
  p5.26-html-parser @3.720.0_0 (active)
  p5.26-html-tagset @3.200.0_4 (active)
  p5.26-http-cookies @6.40.0_0 (active)
  p5.26-http-daemon @6.10.0_1 (active)
  p5.26-http-date @6.20.0_1 (active)
  p5.26-http-message @6.150.0_0 (active)
  p5.26-http-negotiate @6.10.0_1 (active)
  p5.26-io-html @1.1.0_0 (active)
  p5.26-io-socket-ssl @2.56.0_0 (active)
  p5.26-libwww-perl @6.330.0_0 (active)
  p5.26-lwp-mediatypes @6.20.0_1 (active)
  p5.26-lwp-protocol-https @6.70.0_0 (active)
  p5.26-mozilla-ca @20180117_0 (active)
  p5.26-net-http @6.170.0_0 (active)
  p5.26-net-libidn @0.120.0_4 (active)
  p5.26-net-smtp-ssl @1.40.0_0 (active)
  p5.26-net-ssleay @1.850.0_0 (active)
  p5.26-pathtools @3.740.0_0 (active)
  p5.26-scalar-list-utils @1.500.0_0 (active)
  p5.26-sub-name @0.210.0_0 (active)
  p5.26-sub-uplevel @0.280.0_0 (active)
  p5.26-term-readkey @2.370.0_0 (active)
  p5.26-test-exception @0.430.0_0 (active)
  p5.26-test-nowarnings @1.40.0_1 (active)
  p5.26-test-warn @0.320.0_0 (active)
  p5.26-try-tiny @0.300.0_0 (active)
  p5.26-uri @1.730.0_0 (active)
  p5.26-www-robotrules @6.20.0_1 (active)
  p5.26-xml-parser @2.440.0_0 (active)
  p11-kit @0.23.10_1 (active)
  pango @1.42.0_0+quartz+x11 (active)
  pangomm @2.40.1_0+quartz+x11 (active)
  pcre @8.41_0 (active)
  pcre2 @10.31_0 (active)
  pdfjam @2.08_0 (active)
  perl5 @5.26.1_0+perl5_26 (active)
  perl5.24 @5.24.3_1 (active)
  perl5.26 @5.26.1_1 (active)
  pgf @3.0.1_0 (active)
  pkgconfig @0.29.2_0 (active)
  poppler @0.57.0_0 (active)
  poppler-data @0.4.8_0 (active)
  popt @1.16_0 (active)
  potrace @1.15_0 (active)
  ps2eps @1.68_1 (active)
  psutils @p17_1 (active)
  py27-beaker @1.9.0_0 (active)
  py27-cython @0.28.1_0 (active)
  py27-funcsigs @1.0.2_0 (active)
  py27-libxml2 @2.9.7_0 (active)
  py27-lxml @4.1.1_0 (active)
  py27-mako @1.0.7_0 (active)
  py27-markupsafe @0.23_0 (active)
  py27-nose @1.3.7_0 (active)
  py27-numpy @1.14.2_0+gfortran (active)
  py27-setuptools @39.0.1_0 (active)
  py27-six @1.11.0_0 (active)
  python2_select @0.0_2 (active)
  python27 @2.7.14_0 (active)
  python_select @0.3_7 (active)
  qrencode @4.0.0_0 (active)
  R @3.4.3_0+builtin_lapack+cairo+gcc7+recommended+x11 (active)
  readline @7.0.003_1 (active)
  rsync @3.1.3_0 (active)
  schroedinger @1.0.11_0 (active)
  shared-mime-info @1.7_2 (active)
  source-highlight @3.1.8_4 (active)
  soxr @0.1.3_0 (active)
  speex @1.2.0_0 (active)
  sqlite3 @3.22.0_0 (active)
  t1lib @5.1.2_2 (active)
  t1utils @1.41_0 (active)
  texinfo @6.5_1 (active)
  texlive @2017_0+doc+medium (active)
  texlive-basic @44435_0+doc (active)
  texlive-bin @2017_3+x11 (active)
  texlive-bin-extra @44432_0+doc (active)
  texlive-common @2017.1_0 (active)
  texlive-context @44436_0+doc (active)
  texlive-fonts-recommended @42428_0+doc (active)
  texlive-fontutils @44166_0+doc (active)
  texlive-lang-czechslovak @44347_0+doc (active)
  texlive-lang-english @44131_0+doc (active)
  texlive-lang-european @44414_0+doc (active)
  texlive-lang-french @44342_0+doc (active)
  texlive-lang-german @44401_0+doc (active)
  texlive-lang-italian @44357_0+doc (active)
  texlive-lang-polish @44371_0+doc (active)
  texlive-lang-portuguese @40340_1+doc (active)
  texlive-lang-spanish @44356_0+doc (active)
  texlive-latex @44427_0+doc (active)
  texlive-latex-extra @44430_0+doc (active)
  texlive-latex-recommended @44369_0+doc (active)
  texlive-luatex @44141_0+doc (active)
  texlive-math-science @44428_0+doc (active)
  texlive-metapost @44298_0+doc (active)
  texlive-pictures @44395_0+doc (active)
  texlive-plain-generic @44379_0+doc (active)
  texlive-xetex @44370_0+doc (active)
  tidy @5.6.0_0 (active)
  tiff @4.0.9_0 (active)
  urw-fonts @1.0.7pre44_0 (active)
  vala @0.40.1_0 (active)
  webp @0.6.1_0 (active)
  wget @1.19.4_3+ssl (active)
  x264 @20171225_0 (active)
  x265 @2.6_0 (active)
  xar @1.6.1_0 (active)
  Xft2 @2.3.2_0 (active)
  xmlcatmgr @2.2_1 (active)
  xorg-fixesproto @5.0_0 (active)
  xorg-inputproto @2.3.2_0 (active)
  xorg-kbproto @1.0.7_0 (active)
  xorg-libice @1.0.9_0 (active)
  xorg-libpthread-stubs @0.4_0 (active)
  xorg-libsm @1.2.2_0 (active)
  xorg-libX11 @1.6.5_0 (active)
  xorg-libXau @1.0.8_0 (active)
  xorg-libXaw @1.0.13_2 (active)
  xorg-libxcb @1.12_2+python27 (active)
  xorg-libXdmcp @1.1.2_0 (active)
  xorg-libXext @1.3.3_0 (active)
  xorg-libXfixes @5.0.3_0 (active)
  xorg-libXi @1.7.8_0 (active)
  xorg-libXmu @1.1.2_0 (active)
  xorg-libXp @1.0.3_0 (active)
  xorg-libXt @1.1.5_2 (active)
  xorg-printproto @1.0.5_0 (active)
  xorg-renderproto @0.11.1_0 (active)
  xorg-xcb-proto @1.12_1+python27 (active)
  xorg-xcb-util @0.4.0_0 (active)
  xorg-xextproto @7.3.0_0 (active)
  xorg-xproto @7.0.31_0 (active)
  xpm @3.5.12_0 (active)
  xrender @0.9.10_0 (active)
  XviD @1.3.5_0 (active)
  xz @5.2.3_1 (active)
  yasm @1.3.0_0 (active)
  youtube-dl @2018.03.26.1_0+ffmpeg+python27 (active)
  zlib @1.2.11_0 (active)

This is what happens when I start inkscape from the terminal:

Hasbeen-MBP:~ cfusco$ inkscape 
2018-03-27 23:46:19.030 inkscape[55442:2476815] *** WARNING: Method userSpaceScaleFactor in class NSView is deprecated on 10.7 and later. It should not be used in new applications. Use convertRectToBacking: instead. 
dbus[55442]: Dynamic session lookup supported but failed: launchd did not provide a socket path, verify that org.freedesktop.dbus-session.plist is loaded!
Failed to get connection
** (inkscape:55442): CRITICAL **: 23:46:19.068: dbus_g_proxy_new_for_name: assertion 'connection != NULL' failed

** (inkscape:55442): CRITICAL **: 23:46:19.068: dbus_g_proxy_call: assertion 'DBUS_IS_G_PROXY (proxy)' failed

** (inkscape:55442): CRITICAL **: 23:46:19.068: dbus_g_connection_register_g_object: assertion 'connection != NULL' failed
libc++abi.dylib: terminating with uncaught exception of type Glib::ConvertError

Emergency save activated!
Emergency save completed. Inkscape will close now.
If you can reproduce this crash, please file a bug at www.inkscape.org
with a detailed description of the steps leading to the crash, so we can fix it.

(inkscape:55442): Gtk-WARNING **: 23:46:20.195: ChannelsAction: missing action ChannelsAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.195: ThresholdAction: missing action ThresholdAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.195: OffsetAction: missing action OffsetAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.195: PaintbucketUnitsAction: missing action PaintbucketUnitsAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.195: AutoGapAction: missing action AutoGapAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.195: PaintbucketResetAction: missing action PaintbucketResetAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextFontStyleAction: missing action TextFontStyleAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextOuterStyleAction: missing action TextOuterStyleAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextFontSizeAction: missing action TextFontSizeAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextLineHeightAction: missing action TextLineHeightAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextLineHeightUnitsAction: missing action TextLineHeightUnitsAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextLineHeightUnsetAction: missing action TextLineHeightUnsetAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextAlignAction: missing action TextAlignAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextSuperscriptAction: missing action TextSuperscriptAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextSubscriptAction: missing action TextSubscriptAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextLetterSpacingAction: missing action TextLetterSpacingAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextWordSpacingAction: missing action TextWordSpacingAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextDxAction: missing action TextDxAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextDyAction: missing action TextDyAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextRotationAction: missing action TextRotationAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextWritingModeAction: missing action TextWritingModeAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.242: TextOrientationAction: missing action TextOrientationAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: GradientNewTypeAction: missing action GradientNewTypeAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: GradientNewFillStrokeAction: missing action GradientNewFillStrokeAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: GradientSelectGradientAction: missing action GradientSelectGradientAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: GradientEditLinkAction: missing action GradientEditLinkAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: GradientEditReverseAction: missing action GradientEditReverseAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: GradientSelectRepeatAction: missing action GradientSelectRepeatAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: GradientEditStopsAction: missing action GradientEditStopsAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: GradientEditOffsetAction: missing action GradientEditOffsetAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: GradientEditAddAction: missing action GradientEditAddAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: GradientEditDeleteAction: missing action GradientEditDeleteAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshNewTypeAction: missing action MeshNewTypeAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshNewFillStrokeAction: missing action MeshNewFillStrokeAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshRowAction: missing action MeshRowAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshColumnAction: missing action MeshColumnAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshToggleSidesAction: missing action MeshToggleSidesAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshMakeEllipticalAction: missing action MeshMakeEllipticalAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshPickColorsAction: missing action MeshPickColorsAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshFitInBoundingBoxAction: missing action MeshFitInBoundingBoxAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshShowHandlesAction: missing action MeshShowHandlesAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshEditFillAction: missing action MeshEditFillAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshEditStrokeAction: missing action MeshEditStrokeAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshWarningAction: missing action MeshWarningAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: MeshSmoothAction: missing action MeshSmoothAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: DropperOpacityAction: missing action DropperOpacityAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: DropperPickAlphaAction: missing action DropperPickAlphaAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: DropperSetAlphaAction: missing action DropperSetAlphaAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: ConnectorAvoidAction: missing action ConnectorAvoidAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: ConnectorIgnoreAction: missing action ConnectorIgnoreAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: ConnectorOrthogonalAction: missing action ConnectorOrthogonalAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: ConnectorCurvatureAction: missing action ConnectorCurvatureAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: ConnectorSpacingAction: missing action ConnectorSpacingAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: ConnectorGraphAction: missing action ConnectorGraphAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: ConnectorLengthAction: missing action ConnectorLengthAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: ConnectorDirectedAction: missing action ConnectorDirectedAction

(inkscape:55442): Gtk-WARNING **: 23:46:20.246: ConnectorOverlapAction: missing action ConnectorOverlapAction

Crash log:

Process:               inkscape [40080]
Path:                  /opt/local/bin/inkscape
Identifier:            inkscape
Responsible:           inkscape [40080]
12  inkscape                      	0x000000010c14f689 Glib::ustring::FormatStream::stream(char*) + 57
13  inkscape                      	0x000000010c9bcf55 Glib::ustring Glib::ustring::format<char*, char [3], char const*, char [2]>(char* const&, char const (&) [3], char const* const&, char const (&) [2]) + 85
14  inkscape                      	0x000000010ca59d8d sp_text_toolbox_prep(SPDesktop*, _GtkActionGroup*, _GObject*) + 1229
15  inkscape                      	0x000000010ca6c010 setup_aux_toolbox(_GtkWidget*, SPDesktop*) + 944
16  inkscape                      	0x000000010ca6b716 Inkscape::UI::ToolboxFactory::setToolboxDesktop(_GtkWidget*, SPDesktop*) + 710
17  inkscape                      	0x000000010cafe228 Inkscape::UI::UXManagerImpl::connectToDesktop(std::__1::vector<_GtkWidget*, std::__1::allocator<_GtkWidget*> > const&, SPDesktop*) + 728
18  inkscape                      	0x000000010c995dd9 SPDesktopWidget::createInstance(SPNamedView*) + 3209
19  inkscape                      	0x000000010c995125 sp_desktop_widget_new(SPNamedView*) + 21
20  inkscape                      	0x000000010c1454bc sp_file_new(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&) + 812
21  inkscape                      	0x000000010c147b4a sp_file_new_default() + 58
22  inkscape                      	0x000000010c02a335 sp_main_gui(int, char const**) + 3445
23  inkscape                      	0x000000010c029421 main + 1729
       0x10c019000 -        0x10d681ff7 +inkscape (0) <AC371D6A-7978-3396-B2C1-7871A4BC6E42> /opt/local/bin/inkscape

Doing Export LANG=en_US and LC_ALL=$LANG doesn't help either.

Is this happening to other people as well? Or it's just me?

Thanks.

Last edited 4 years ago by wilya7 (previous) (diff)

comment:31 Changed 4 years ago by githubbjs

Same here:

ProductName:	Mac OS X
ProductVersion:	10.10.5
BuildVersion:	14F2511

comment:32 Changed 4 years ago by ggmessier

Yep, I'm getting the same problem now too. Changing the LANG variables now have no effect. My terminal and crashlogs are identical to wilya7. My system info:

~> sw_vers
ProductName:    Mac OS X
ProductVersion: 10.13.3
BuildVersion:   17D102
~> sudo port version
Version: 2.4.2
Last edited 4 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:33 Changed 4 years ago by bcholmes (BC Holmes)

Same here. Updated inkscape today and have the same crash.

macOSX 10.13.4 (17E199), port number 2.4.2

I also tried uninstalling all ports and reinstalling inkscape from scratch, but the problem still exists.

Update: I note that my output starts with the line "libc++abi.dylib: terminating with uncaught exception of type Glib::ConvertError" -- I don't see the dbus error messages.

Last edited 4 years ago by bcholmes (BC Holmes) (previous) (diff)

comment:34 Changed 4 years ago by amdijefri (David Drum)

Having the same problem as wilya7. Have read/tried all the suggestions from the Brew community to no avail.

$ sw_vers
ProductName:	Mac OS X
ProductVersion:	10.12.6
BuildVersion:	16G1314
$ port version
Version: 2.4.2
$ port installed inkscape*
The following ports are currently installed:
  inkscape-devel @0.92.2-20170815_3+x11 (active)

comment:35 Changed 4 years ago by Blokkendoos (Johan)

Cc: Blokkendoos added

comment:36 Changed 4 years ago by neverpanic (Clemens Lang)

The issue reported after comment:30 is a different problem. It seems it is related to DBus. Please ensure that you have followed the steps described in port notes dbus and see if that helps.

comment:37 Changed 4 years ago by neverpanic (Clemens Lang)

Resolution: fixed
Status: assignedclosed

See #56214, which is the crash you are describing. The original issue reported here related to locale variables is solved.

Note: See TracTickets for help on using tickets.